apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition
metadata:
  labels:
    longhorn-manager: BackupVolume
  name: backupvolumes.longhorn.io
spec:
  group: longhorn.io
  names:
    kind: BackupVolume
    listKind: BackupVolumeList
    plural: backupvolumes
    shortNames:
    - lhbv
    singular: backupvolume
  scope: Namespaced
  versions:
  - name: v1beta1
    served: true
    storage: true
    schema:
      openAPIV3Schema:
        type: object
        properties:
          spec:
            x-kubernetes-preserve-unknown-fields: true
          status:
            x-kubernetes-preserve-unknown-fields: true
    subresources:
      status: {}
    additionalPrinterColumns:
    - name: CreatedAt
      type: string
      description: The backup volume creation time
      jsonPath: .status.createdAt
    - name: LastBackupName
      type: string
      description: The backup volume last backup name
      jsonPath: .status.lastBackupName
    - name: LastBackupAt
      type: string
      description: The backup volume last backup time
      jsonPath: .status.lastBackupAt
    - name: LastSyncedAt
      type: string
      description: The backup volume last synced time
      jsonPath: .status.lastSyncedAt
